LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
StatusIndicatorFactory Service Reference

`import"StatusIndicatorFactory.idl";`

Inheritance diagram for StatusIndicatorFactory:

## Public Member Functions
| createWithFrame ([in] com::sun::star::frame::XFrame Frame, [in] boolean DisableReschedule, [in] boolean AllowParentShow)
| createWithWindow ([in] com::sun::star::awt::XWindow ParentWindow, [in] boolean DisableReschedule, [in] boolean AllowParentShow)
Public Member Functions inherited from XStatusIndicatorFactory
com::sun::star::task::XStatusIndicator | createStatusIndicator ()
| create a new status indicator instance More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Since
  LibreOffice 4.1

## Member Function Documentation

## ◆ createWithFrame()

createWithFrame | ( | [in] com::sun::star::frame::XFrame | Frame,
|  | [in] boolean | DisableReschedule,
|  | [in] boolean | AllowParentShow
| ) |  |

## ◆ createWithWindow()

createWithWindow | ( | [in] com::sun::star::awt::XWindow | ParentWindow,
|  | [in] boolean | DisableReschedule,
|  | [in] boolean | AllowParentShow
| ) |  |

The documentation for this service was generated from the following file:

- com/sun/star/task/StatusIndicatorFactory.idl